package domain

type TmallItemOriginAsyncSourceItemInfoDTO struct {
	/*
	   上游商品ID     */
	ItemId *string `json:"item_id,omitempty" `

	/*
	   上游商品最高价(分)     */
	ItemHighestPrice *int64 `json:"item_highest_price,omitempty" `

	/*
	   上游商品最低价(分)     */
	ItemLowestPrice *int64 `json:"item_lowest_price,omitempty" `

	/*
	   上游商品店铺ID     */
	ShopId *string `json:"shop_id,omitempty" `

	/*
	   上游商品凭条     */
	Type *string `json:"type,omitempty" `

	/*
	   上游商品URL     */
	ItemUrl *string `json:"item_url,omitempty" `
}

func (s *TmallItemOriginAsyncSourceItemInfoDTO) SetItemId(v string) *TmallItemOriginAsyncSourceItemInfoDTO {
	s.ItemId = &v
	return s
}
func (s *TmallItemOriginAsyncSourceItemInfoDTO) SetItemHighestPrice(v int64) *TmallItemOriginAsyncSourceItemInfoDTO {
	s.ItemHighestPrice = &v
	return s
}
func (s *TmallItemOriginAsyncSourceItemInfoDTO) SetItemLowestPrice(v int64) *TmallItemOriginAsyncSourceItemInfoDTO {
	s.ItemLowestPrice = &v
	return s
}
func (s *TmallItemOriginAsyncSourceItemInfoDTO) SetShopId(v string) *TmallItemOriginAsyncSourceItemInfoDTO {
	s.ShopId = &v
	return s
}
func (s *TmallItemOriginAsyncSourceItemInfoDTO) SetType(v string) *TmallItemOriginAsyncSourceItemInfoDTO {
	s.Type = &v
	return s
}
func (s *TmallItemOriginAsyncSourceItemInfoDTO) SetItemUrl(v string) *TmallItemOriginAsyncSourceItemInfoDTO {
	s.ItemUrl = &v
	return s
}
